#include "KeywordValue.h"
#include <iostream>

namespace jet {

   KeywordValue::KeywordValue(coreutils::ZString data, Global &global) : MString() {
      while(!data.eod()) {
	 if(data.startsWith("$[")) {
	    write(global.getVariable(data));
	 } else {
	    write(data.charAt(0));
	    data.nextChar();
	 }	 
      }
   }

   KeywordValue::~KeywordValue() {}

}
